- Home
- API Enriched
- Shape
- shape
- Rollback Certificate To Default.
Rollback Certificate To Default.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_infrastructures/example/rollback-certificate-to-default';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","region_list":["AP_NORTHEAST_1"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_infrastructures/example/rollback-certificate-to-default \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "region_list": [ "AP_NORTHEAST_1" ] }'Rollback to default certificate on Bot Infrastructure.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace.
Bot Infrastructure Name x-required Bot Infrastructure Name.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for rollback certificate to default.
object
Bot Infrastructure Name.
Namespace
List of regions for rollback.
Responses
Section titled “Responses”A successful response.
Response for certificate operations.
object
Name of the cluster.
List of region status for certificate operation.
Region status for certificate operation.
object
Example
{ "region_list": [ { "cert_status": "CERT_STATUS_UNDEFINED", "deploy_status": "IN_PROGRESS", "region": "AP_NORTHEAST_1" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example